Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client.binder
Interface GinAnnotatedBindingBuilder<T>

All Superinterfaces:
  GinLinkedBindingBuilder<T>, GinScopedBindingBuilder

    public interface GinAnnotatedBindingBuilder<T>

extends GinLinkedBindingBuilder<T>

See the EDSL examples at `GinBinder`.

Method Summary
`GinLinkedBindingBuilder<T>` | `annotatedWith(java.lang.annotation.Annotation annotation)` See the EDSL examples at `GinBinder`.
`GinLinkedBindingBuilder<T>` | `annotatedWith(java.lang.Class<? extends java.lang.annotation.Annotation> annotation)` See the EDSL examples at `GinBinder`.

Methods inherited from interface com.google.gwt.inject.client.binder.GinLinkedBindingBuilder
`to, to, to, toProvider, toProvider`

Methods inherited from interface com.google.gwt.inject.client.binder.GinScopedBindingBuilder
`asEagerSingleton, in`

Method Detail

### annotatedWith

    GinLinkedBindingBuilder<T> annotatedWith(java.lang.Class<? extends java.lang.annotation.Annotation> annotation)

  See the EDSL examples at `GinBinder`.

### annotatedWith

    GinLinkedBindingBuilder<T> annotatedWith(java.lang.annotation.Annotation annotation)

  See the EDSL examples at `GinBinder`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD